Index: trunk/client/modules/Elezioni/grafici/jpgraph_antispam.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph_antispam.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph_antispam.php	(revision 265)
@@ -1,10 +1,10 @@
 <?php
 //=======================================================================
-// File:	JPGRAPH_ANTISPAM.PHP
-// Description:	Genarate anti-spam challenge
-// Created: 	2004-10-07
-// Ver:		$Id: jpgraph_antispam.php 808 2006-11-28 19:10:40Z ljp $
+// File:        JPGRAPH_ANTISPAM.PHP
+// Description: Genarate anti-spam challenge
+// Created:     2004-10-07
+// Ver:         $Id: jpgraph_antispam.php 1106 2009-02-22 20:16:35Z ljp $
 //
-// Copyright (c) Aditus Consulting. All rights reserved.
+// Copyright (c) Asial Corporation. All rights reserved.
 //========================================================================
 
@@ -13,11 +13,11 @@
     public $iHeight=30, $iWidth=30;
 
-    function HandDigits() {
-
-//==========================================================
-// lj-small.jpg
-//==========================================================
-$this->chars['j'][0]= 658 ;
-$this->chars['j'][1]= 
+    function __construct() {
+
+        //==========================================================
+        // lj-small.jpg
+        //==========================================================
+        $this->chars['j'][0]= 658 ;
+        $this->chars['j'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -30,9 +30,9 @@
 'cEgeNHhi7D3qC3UN69M8tIakRhgrh9o748+eNGtcCiKjjpkQKlMTEg3ZwoxtHHtgfTRpYXArvp//2Q==' ; 
 
-//==========================================================
-// lf-small.jpg
-//==========================================================
-$this->chars['f'][0]= 633 ;
-$this->chars['f'][1]= 
+        //==========================================================
+        // lf-small.jpg
+        //==========================================================
+        $this->chars['f'][0]= 633 ;
+        $this->chars['f'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -45,9 +45,9 @@
 '4+mjUrURyrUNMZFEkkIOFuFAbsP9d/OjVIQ6Vh4tP//Z' ; 
 
-//==========================================================
-// lb-small.jpg
-//==========================================================
-$this->chars['b'][0]= 645 ;
-$this->chars['b'][1]= 
+        //==========================================================
+        // lb-small.jpg
+        //==========================================================
+        $this->chars['b'][0]= 645 ;
+        $this->chars['b'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -60,9 +60,9 @@
 '8AcU3UzFuhUSBFud6nRXoz96mqmJZWg7m2dqUNhWBwdqQSP1UU5c/FFCn//Z' ; 
 
-//==========================================================
-// d6-small.jpg
-//==========================================================
-$this->chars['6'][0]= 645 ;
-$this->chars['6'][1]= 
+        //==========================================================
+        // d6-small.jpg
+        //==========================================================
+        $this->chars['6'][0]= 645 ;
+        $this->chars['6'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -75,9 +75,9 @@
 'paaC8DruScmg6X8KkjZEhbaB9KEyFYSOw26Uqd+e7Qerl5z74DY/1SomP//Z' ; 
 
-//==========================================================
-// lx-small.jpg
-//==========================================================
-$this->chars['x'][0]= 650 ;
-$this->chars['x'][1]= 
+        //==========================================================
+        // lx-small.jpg
+        //==========================================================
+        $this->chars['x'][0]= 650 ;
+        $this->chars['x'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -90,9 +90,9 @@
 'uKgwqtTZDTMOU0FttqRkoHggnPkEEHRrkJ6t1SlSHYUOc6zHaWrsbQrATk5/vRqK/9k=' ; 
 
-//==========================================================
-// d2-small.jpg
-//==========================================================
-$this->chars['2'][0]= 606 ;
-$this->chars['2'][1]= 
+        //==========================================================
+        // d2-small.jpg
+        //==========================================================
+        $this->chars['2'][0]= 606 ;
+        $this->chars['2'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -105,9 +105,9 @@
 'DLZ6f//Z' ; 
 
-//==========================================================
-// lm-small.jpg
-//==========================================================
-$this->chars['m'][0]= 649 ;
-$this->chars['m'][1]= 
+        //==========================================================
+        // lm-small.jpg
+        //==========================================================
+        $this->chars['m'][0]= 649 ;
+        $this->chars['m'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -120,9 +120,9 @@
 'jg2zf50W9zk524GAEihuz+xbIOD82jW5TkjtRPZkTkJ+4VgDhQfuj/f3OjUxl1f/2Q==' ; 
 
-//==========================================================
-// lt-small.jpg
-//==========================================================
-$this->chars['t'][0]= 648 ;
-$this->chars['t'][1]= 
+        //==========================================================
+        // lt-small.jpg
+        //==========================================================
+        $this->chars['t'][0]= 648 ;
+        $this->chars['t'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -135,9 +135,9 @@
 'D46EnuD+6Nc1smDNrTlRkxqtMo1vzKhIdYgU9YDqVpISrLhHxSSd21I0aYyqP//Z' ; 
 
-//==========================================================
-// li-small.jpg
-//==========================================================
-$this->chars['i'][0]= 639 ;
-$this->chars['i'][1]=
+        //==========================================================
+        // li-small.jpg
+        //==========================================================
+        $this->chars['i'][0]= 639 ;
+        $this->chars['i'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -149,11 +149,11 @@
 'Yf8AOl7JTdw5eOCz0jw3+LbYCfA9nz71msb8KMxoTGTw+5srjsipAdDqFBQBIuiOl6KrdYyJMyTCshlw2G3Fr/HiNqNNAqJJUoGl'.
 'KND+h47km1bZwsvCbYYjycxIyK1qDv2yEi0hQviK8atKDcy9j//Z' ;
- 
-
-//==========================================================
-// lp-small.jpg
-//==========================================================
-$this->chars['p'][0]= 700 ;
-$this->chars['p'][1]= 
+
+
+        //==========================================================
+        // lp-small.jpg
+        //==========================================================
+        $this->chars['p'][0]= 700 ;
+        $this->chars['p'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -167,9 +167,9 @@
 'C5LwAyq2EtpHZI7mxPYDRqoctdESimz/2Q==' ; 
 
-//==========================================================
-// le-small.jpg
-//==========================================================
-$this->chars['e'][0]= 700 ;
-$this->chars['e'][1]= 
+        //==========================================================
+        // le-small.jpg
+        //==========================================================
+        $this->chars['e'][0]= 700 ;
+        $this->chars['e'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -183,9 +183,9 @@
 'LBNF6qrzG6t0spEu6+fpL7YMXhUndp//2Q==' ; 
 
-//==========================================================
-// la-small.jpg
-//==========================================================
-$this->chars['a'][0]= 730 ;
-$this->chars['a'][1]=
+        //==========================================================
+        // la-small.jpg
+        //==========================================================
+        $this->chars['a'][0]= 730 ;
+        $this->chars['a'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -199,9 +199,9 @@
 'HVDtXStE5K5jlPU7PF3Q41+okJFkjgC+3OuNSYiSzHaLtRcW4UDMpLYSCbakDW3thhum5p//2Q==' ;
 
-//==========================================================
-// d9-small.jpg
-//==========================================================
-$this->chars['9'][0]= 680 ;
-$this->chars['9'][1]= 
+        //==========================================================
+        // d9-small.jpg
+        //==========================================================
+        $this->chars['9'][0]= 680 ;
+        $this->chars['9'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -215,9 +215,9 @@
 '1V1//9k=' ; 
 
-//==========================================================
-// d5-small.jpg
-//==========================================================
-$this->chars['5'][0]= 632 ;
-$this->chars['5'][1]= 
+        //==========================================================
+        // d5-small.jpg
+        //==========================================================
+        $this->chars['5'][0]= 632 ;
+        $this->chars['5'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -230,9 +230,9 @@
 '8DGlTDwG3CAf3q/pI0ah6MDhLz6U+EpXwPoaNMU//9k=' ; 
 
-//==========================================================
-// d1-small.jpg
-//==========================================================
-$this->chars['1'][0]= 646 ;
-$this->chars['1'][1]= 
+        //==========================================================
+        // d1-small.jpg
+        //==========================================================
+        $this->chars['1'][0]= 646 ;
+        $this->chars['1'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -245,9 +245,9 @@
 'PsYzoixgmheBGjIVcYCnjp/jHjHbRpe1JLn9OnopE/a0ykvjwDx47aNMXqP/2Q==' ; 
 
-//==========================================================
-// ll-small.jpg
-//==========================================================
-$this->chars['l'][0]= 626 ;
-$this->chars['l'][1]=
+        //==========================================================
+        // ll-small.jpg
+        //==========================================================
+        $this->chars['l'][0]= 626 ;
+        $this->chars['l'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -261,9 +261,9 @@
 
 
-//==========================================================
-// ls-small.jpg
-//==========================================================
-$this->chars['s'][0]= 701 ;
-$this->chars['s'][1]= 
+        //==========================================================
+        // ls-small.jpg
+        //==========================================================
+        $this->chars['s'][0]= 701 ;
+        $this->chars['s'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -277,9 +277,9 @@
 'lymUOLdWfJyoHA+gA7AAAaNPE3ysJdLT/9k=' ; 
 
-//==========================================================
-// lh-small.jpg
-//==========================================================
-$this->chars['h'][0]= 677 ;
-$this->chars['h'][1]= 
+        //==========================================================
+        // lh-small.jpg
+        //==========================================================
+        $this->chars['h'][0]= 677 ;
+        $this->chars['h'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -294,9 +294,9 @@
 
 
-//==========================================================
-// ld-small.jpg
-//==========================================================
-$this->chars['d'][0]= 681 ;
-$this->chars['d'][1]=
+        //==========================================================
+        // ld-small.jpg
+        //==========================================================
+        $this->chars['d'][0]= 681 ;
+        $this->chars['d'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -310,9 +310,9 @@
 'Ia1JX//Z' ;
 
-//==========================================================
-// d8-small.jpg
-//==========================================================
-$this->chars['8'][0]= 694 ;
-$this->chars['8'][1]= 
+        //==========================================================
+        // d8-small.jpg
+        //==========================================================
+        $this->chars['8'][0]= 694 ;
+        $this->chars['8'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -326,9 +326,9 @@
 'EylmLHQltptPZKQOBo1FzH//2Q==' ; 
 
-//==========================================================
-// lz-small.jpg
-//==========================================================
-$this->chars['z'][0]= 690 ;
-$this->chars['z'][1]=
+        //==========================================================
+        // lz-small.jpg
+        //==========================================================
+        $this->chars['z'][0]= 690 ;
+        $this->chars['z'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -342,9 +342,9 @@
 'KrnsKH06I/rVrQKkf//Z' ;
 
-//==========================================================
-// d4-small.jpg
-//==========================================================
-$this->chars['4'][0]= 643 ;
-$this->chars['4'][1]= 
+        //==========================================================
+        // d4-small.jpg
+        //==========================================================
+        $this->chars['4'][0]= 643 ;
+        $this->chars['4'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -357,9 +357,9 @@
 'GI7KIY1ijoLeEQBVCwIoAHpgY6Hy0aZe7mJ2jeHLKcEhusj6aNKgzr//2Q==' ; 
 
-//==========================================================
-// lv-small.jpg
-//==========================================================
-$this->chars['v'][0]= 648 ;
-$this->chars['v'][1]=
+        //==========================================================
+        // lv-small.jpg
+        //==========================================================
+        $this->chars['v'][0]= 648 ;
+        $this->chars['v'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -372,9 +372,9 @@
 'ubmMBCVJdjx0pRyLoWR4I8aNIQ8BvZMNtMTeUcsptKfc4tC1gAkCyFC+K0aJtf/Z' ;
 
-//==========================================================
-// lk-small.jpg
-//==========================================================
-$this->chars['k'][0]= 680 ;
-$this->chars['k'][1]= 
+        //==========================================================
+        // lk-small.jpg
+        //==========================================================
+        $this->chars['k'][0]= 680 ;
+        $this->chars['k'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -388,9 +388,9 @@
 'k9aP/9k=' ; 
 
-//==========================================================
-// lr-small.jpg
-//==========================================================
-$this->chars['r'][0]= 681 ;
-$this->chars['r'][1]= 
+        //==========================================================
+        // lr-small.jpg
+        //==========================================================
+        $this->chars['r'][0]= 681 ;
+        $this->chars['r'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -404,9 +404,9 @@
 'ZeKZ1//Z' ; 
 
-//==========================================================
-// lg-small.jpg
-//==========================================================
-$this->chars['g'][0]= 655 ;
-$this->chars['g'][1]=
+        //==========================================================
+        // lg-small.jpg
+        //==========================================================
+        $this->chars['g'][0]= 655 ;
+        $this->chars['g'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -419,9 +419,9 @@
 '4ywltanVJvuJI+RQs/sHRqy2r003JhsImEc/CUyhxRZBjKV2oJ8eRXNmufPnRo1WIz3DdNn/2Q==' ;
 
-//==========================================================
-// lc-small.jpg
-//==========================================================
-$this->chars['c'][0]= 629 ;
-$this->chars['c'][1]= 
+        //==========================================================
+        // lc-small.jpg
+        //==========================================================
+        $this->chars['c'][0]= 629 ;
+        $this->chars['c'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -434,9 +434,9 @@
 '3Ls3TqNs5Hc9h23w49NWL9K+Q/VD5T/zhwPH/9k=' ; 
 
-//==========================================================
-// d7-small.jpg
-//==========================================================
-$this->chars['7'][0]= 658 ;
-$this->chars['7'][1]= 
+        //==========================================================
+        // d7-small.jpg
+        //==========================================================
+        $this->chars['7'][0]= 658 ;
+        $this->chars['7'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -449,9 +449,9 @@
 'Q0qPNu6ea8Q2jqtbp8+2w9h/OKORc/cpHjt1dDSHOtLZ4ekHW23bBjj+o9H/AB539aP94MG0+L//2Q==' ; 
 
-//==========================================================
-// ly-small.jpg
-//==========================================================
-$this->chars['y'][0]= 672 ;
-$this->chars['y'][1]= 
+        //==========================================================
+        // ly-small.jpg
+        //==========================================================
+        $this->chars['y'][0]= 672 ;
+        $this->chars['y'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -464,9 +464,9 @@
 'uvmXdlme6n4dCwlRBKEgA2tj99QG7Ilncp5QqpU31PMsJ6x7A32f6SPxo0hPVCD45oVyKf0MtgeT97/nRrO7UOCFla3tn//Z' ; 
 
-//==========================================================
-// d3-small.jpg
-//==========================================================
-$this->chars['3'][0]= 662 ;
-$this->chars['3'][1]= 
+        //==========================================================
+        // d3-small.jpg
+        //==========================================================
+        $this->chars['3'][0]= 662 ;
+        $this->chars['3'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD//gAJSnBHcmFwaP/bAEMACAYGBwYFCAcHBwkJCAoMFA0MCwsMGRITDxQdGh8eHRocHCAkLicg'.
 'IiwjHBwoNyksMDE0NDQfJzk9ODI8LjM0Mv/bAEMBCQkJDAsMGA0NGDIhHCEyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -479,9 +479,9 @@
 'vck5C3YRKYEOEVJZj8kjKypXqWvirjk9h+dB9i4faa89TDZUfKlIyT8k+To10a6KTkpcJ/0vL/7o0TS//9k=' ; 
 
-//==========================================================
-// ln-small.jpg
-//==========================================================
-$this->chars['n'][0]= 643 ;
-$this->chars['n'][1]= 
+        //==========================================================
+        // ln-small.jpg
+        //==========================================================
+        $this->chars['n'][0]= 643 ;
+        $this->chars['n'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -494,9 +494,9 @@
 '5+WNAh5ZCu/r2+dGrgq0pi0DhmlRsSSAfqMd+b6ZyNu3po1Rk1yNBe3/2Q==' ; 
 
-//==========================================================
-// lu-small.jpg
-//==========================================================
-$this->chars['u'][0]= 671 ;
-$this->chars['u'][1]= 
+        //==========================================================
+        // lu-small.jpg
+        //==========================================================
+        $this->chars['u'][0]= 671 ;
+        $this->chars['u'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -509,9 +509,9 @@
 'jT7Xc74HtOYnHyUOh8yWUvKeHhy0CiPVUAPoDRrm+OeznTva6lzsyMjCYbbaiNJjJSWElagD5tRpNUSALFeNGoOCH7Bv/9k=' ; 
 
-//==========================================================
-// lw-small.jpg
-//==========================================================
-$this->chars['w'][0]= 673 ;
-$this->chars['w'][1]=
+        //==========================================================
+        // lw-small.jpg
+        //==========================================================
+        $this->chars['w'][0]= 673 ;
+        $this->chars['w'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -524,9 +524,9 @@
 'Rsn+tVpiyJnqv09YfOXu5AycgZZQEhBZjgDBOOgwO/po0sttWHdNzqLruioa4UwmdaC3kYp4IwSvJlBHKQ4OSe3po0qxM6P/2Q==' ;
 
-//==========================================================
-// lq-small.jpg
-//==========================================================
-$this->chars['q'][0]= 671 ;
-$this->chars['q'][1]=
+        //==========================================================
+        // lq-small.jpg
+        //==========================================================
+        $this->chars['q'][0]= 671 ;
+        $this->chars['q'][1]=
 '/9j/4AAQSkZJRgABAQEASgBKAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQNDAsLDBkSEw8UHRofHh0aHBwgJC4nICIsIxwcKDcpLDAx'.
 'NDQ0Hyc5PTgyPC4zNDL/2wBDAQkJCQwLDBgNDRgyIRwhMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIyMjIy'.
@@ -541,5 +541,5 @@
 
 
-    } 
+    }
 }
 
@@ -549,65 +549,65 @@
     private $iDD=null;
 
-    function AntiSpam($aData='') {
-	$this->iData = $aData;
-	$this->iDD = new HandDigits();	
+    function __construct($aData='') {
+        $this->iData = $aData;
+        $this->iDD = new HandDigits();
     }
 
     function Set($aData) {
-	$this->iData = $aData;
+        $this->iData = $aData;
     }
 
     function Rand($aLen) {
-	$d='';
-	for($i=0; $i < $aLen; ++$i) {
-	    if( rand(0,9) < 6 ) {
-		// Digits
-		$d .= chr( ord('1') + rand(0,8) );
-	    }
-	    else {
-		// Letters
-		do {
-		    $offset = rand(0,25);
-		} while ( $offset==14 );
-		$d .= chr( ord('a') + $offset );
-	    }
-	}
-	$this->iData = $d;
-	return $d;
+        $d='';
+        for($i=0; $i < $aLen; ++$i) {
+            if( rand(0,9) < 6 ) {
+                // Digits
+                $d .= chr( ord('1') + rand(0,8) );
+            }
+            else {
+                // Letters
+                do {
+                    $offset = rand(0,25);
+                } while ( $offset==14 );
+                $d .= chr( ord('a') + $offset );
+            }
+        }
+        $this->iData = $d;
+        return $d;
     }
 
     function Stroke() {
 
-	$n=strlen($this->iData);
-	if( $n==0 ) {
-	    return false;
-	}
-
-	for($i=0; $i < $n; ++$i ) {
-	    if( $this->iData[$i]==='0' || strtolower($this->iData[$i])==='o') {
-		return false;
-	    }
-	}
-
-	$img = @imagecreatetruecolor($n*$this->iDD->iWidth, $this->iDD->iHeight);
-	if( $img < 1 ) {
-	    return false;
-	}
-
-	$start=0;
-	for($i=0; $i < $n; ++$i ) {
-	    $dimg = imagecreatefromstring(base64_decode($this->iDD->chars[strtolower($this->iData[$i])][1]));
-	    imagecopy($img,$dimg,$start,0,0,0,imagesx($dimg), $this->iDD->iHeight);
-	    $start += imagesx($dimg);
-	}
-	$resimg = @imagecreatetruecolor($start+4, $this->iDD->iHeight+4);
-	if( $resimg < 1 ) {
-	    return false;
-	}
-
-	imagecopy($resimg,$img,2,2,0,0,$start, $this->iDD->iHeight);
-	header("Content-type: image/jpeg");
-	imagejpeg($resimg);
-	return true;
+        $n=strlen($this->iData);
+        if( $n==0 ) {
+            return false;
+        }
+
+        for($i=0; $i < $n; ++$i ) {
+            if( $this->iData[$i]==='0' || strtolower($this->iData[$i])==='o') {
+                return false;
+            }
+        }
+
+        $img = @imagecreatetruecolor($n*$this->iDD->iWidth, $this->iDD->iHeight);
+        if( $img < 1 ) {
+            return false;
+        }
+
+        $start=0;
+        for($i=0; $i < $n; ++$i ) {
+            $dimg = imagecreatefromstring(base64_decode($this->iDD->chars[strtolower($this->iData[$i])][1]));
+            imagecopy($img,$dimg,$start,0,0,0,imagesx($dimg), $this->iDD->iHeight);
+            $start += imagesx($dimg);
+        }
+        $resimg = @imagecreatetruecolor($start+4, $this->iDD->iHeight+4);
+        if( $resimg < 1 ) {
+            return false;
+        }
+
+        imagecopy($resimg,$img,2,2,0,0,$start, $this->iDD->iHeight);
+        header("Content-type: image/jpeg");
+        imagejpeg($resimg);
+        return true;
     }
 }
Index: trunk/client/modules/Elezioni/grafici/jpgraph_bar.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph_bar.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph_bar.php	(revision 265)
@@ -1,12 +1,12 @@
 <?php
 /*=======================================================================
-// File:	JPGRAPH_BAR.PHP
-// Description:	Bar plot extension for JpGraph
-// Created: 	2001-01-08
-// Ver:		$Id: jpgraph_bar.php 1017 2008-07-08 06:09:28Z ljp $
-//
-// Copyright (c) Aditus Consulting. All rights reserved.
-//========================================================================
-*/
+ // File:        JPGRAPH_BAR.PHP
+ // Description: Bar plot extension for JpGraph
+ // Created:     2001-01-08
+ // Ver:         $Id: jpgraph_bar.php 1905 2009-10-06 18:00:21Z ljp $
+ //
+ // Copyright (c) Asial Corporation. All rights reserved.
+ //========================================================================
+ */
 
 require_once('jpgraph_plotband.php');
@@ -26,5 +26,5 @@
 //===================================================
 // CLASS BarPlot
-// Description: Main code to produce a bar plot 
+// Description: Main code to produce a bar plot
 //===================================================
 class BarPlot extends Plot {
